import { Contact } from '../../types/contacts.types';
declare class ContactStorage {
    private readonly STORAGE_KEY;
    private checkForDuplicate;
    createContact(walletAddress: string, newContact: Contact): Promise<void>;
    getContacts(walletAddress: string): Promise<Contact[]>;
    editContact(walletAddress: string, oldContactAddress: string, editedContact: Contact): Promise<void>;
    deleteContact(walletAddress: string, contactAddressToDelete: string): Promise<void>;
}
export declare const contactStorage: ContactStorage;
export {};
